Subject: Re: [PATCH net-next 0/3] Change BPF_TEST_RUN use the system page pool for live XDP frames

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 20 Feb 2024 12:23:48 +0100

Daniel Borkmann <[email-masked]> writes:

> On 2/19/24 7:52 PM, Toke Høiland-Jørgensen wrote:
>> Toke Høiland-Jørgensen <[email-masked]> writes:
>> 
>>> Now that we have a system-wide page pool, we can use that for the live
>>> frame mode of BPF_TEST_RUN (used by the XDP traffic generator), and
>>> avoid the cost of creating a separate page pool instance for each
>>> syscall invocation. See the individual patches for more details.
>>>
>>> Toke Høiland-Jørgensen (3):
>>>    net: Register system page pool as an XDP memory model
>>>    bpf: test_run: Use system page pool for XDP live frame mode
>>>    bpf: test_run: Fix cacheline alignment of live XDP frame data
>>>      structures
>>>
>>>   include/linux/netdevice.h |   1 +
>>>   net/bpf/test_run.c        | 138 +++++++++++++++++++-------------------
>>>   net/core/dev.c            |  13 +++-
>>>   3 files changed, 81 insertions(+), 71 deletions(-)
>> 
>> Hi maintainers
>> 
>> This series is targeting net-next, but it's listed as delegate:bpf in
>> patchwork[0]; is that a mistake? Do I need to do anything more to nudge it
>> along?
>
> I moved it over to netdev, it would be good next time if there are dependencies
> which are in net-next but not yet bpf-next to clearly state them given from this
> series the majority touches the bpf test infra code.

Right, I thought that was what I was doing by targeting them at net-next
(in the subject). What's the proper way to do this, then, just noting it
in the cover letter? :)

-Toke